package ${basePackage}.module.system.req;

import org.hibernate.validator.constraints.Length;
import ${basePackage}.frame.base.BaseRequest;

import javax.validation.constraints.NotNull;

/**
 * DictItemCreateRequest - 字典项新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class DictItemCreateRequest extends BaseRequest {

    /**
     * 字典名称
     */
    @NotNull(message = "[dictName]字典名称不能为空")
    private String dictName;

    /**
     * 字典键
     */
    @Length(min = 1, max = 10, message = "[key]字典键长度不合法(1-10)")
    private String key;

    /**
     * 字典值
     */
    @Length(min = 1, max = 100, message = "[value]字典值长度不合法(1-100)")
    private String value;

    /**
     * 排序
     */
    @NotNull(message = "[sort]字典项排序值不能为空")
    private Integer sort;

    /**
     * 是否有效
     */
    @NotNull(message = "[valid]是否有效不能为空")
    private Boolean valid;

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}
